PHPExcel

# Class: PHPExcel_WorksheetIterator

Source Location: /PHPExcel/WorksheetIterator.php

### Class Overview

PHPExcel_WorksheetIterator

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- Iterator (internal interface)

### Methods

- __construct
- __destruct
- current
- key
- next
- rewind
- valid

### Class Details

[line 38]
PHPExcel_WorksheetIterator

Used to iterate worksheets in PHPExcel

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 59]

`PHPExcel_WorksheetIterator __construct( [PHPExcel $subject = null])`

Create a new worksheet iterator

#### Tags:

access: | public

#### Parameters:

PHPExcel | $subject |

[ Top ]

### destructor __destruct [line 67]

`void __destruct( )`

Destructor

#### Tags:

access: | public

[ Top ]

### method current [line 83]

`PHPExcel_Worksheet current( )`

Current PHPExcel_Worksheet

#### Tags:

access: | public

Implementation of:

Iterator::current

[ Top ]

### method key [line 92]

`int key( )`

Current key

#### Tags:

access: | public

Implementation of:

Iterator::key

[ Top ]

### method next [line 99]

`void next( )`

Next value

#### Tags:

access: | public

Implementation of:

Iterator::next

[ Top ]

### method rewind [line 74]

`void rewind( )`

Rewind iterator

#### Tags:

access: | public

Implementation of:

Iterator::rewind

[ Top ]

### method valid [line 108]

`boolean valid( )`

More PHPExcel_Worksheet instances available?

#### Tags:

access: | public

Implementation of:

Iterator::valid

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:18 +0200 by phpDocumentor 1.4.4